
_Delay_6ms:
	MOV R6, 11
	MOV R7, 193
	DJNZ R7, 
	DJNZ R6, 
	RET
; end of _Delay_6ms

_Delay_15us:
	MOV R7, 4
	DJNZ R7, 
	RET
; end of _Delay_15us

_Send_Byte:
	MOV Send_Byte_i_L0+0, #0
	MOV Send_Byte_mask_L0+0, #128
	MOV A, FARG_Send_Byte_rs+0
	RRC A
	MOV A, FARG_Send_Byte_out_char+0
	MOV #224, C
	MOV FARG_Send_Byte_out_char+0, A
	MOV Send_Byte_i_L0+0, #0
L_Send_Byte0:
	CLR C
	MOV A, Send_Byte_i_L0+0
	SUBB A, #7
	JNC L_Send_Byte1
	MOV A, FARG_Send_Byte_out_char+0
	ANL A, Send_Byte_mask_L0+0
	JZ L_Send_Byte3
	CLR P1_0_bit+0
	SETB P1_0_bit+0
	LCALL _Delay_15us+0
	SJMP L_Send_Byte4
L_Send_Byte3:
	CLR P1_0_bit+0
	LCALL _Delay_15us+0
	SETB P1_0_bit+0
	LCALL _Delay_15us+0
	LCALL _Delay_15us+0
L_Send_Byte4:
	MOV R0, #1
	MOV A, Send_Byte_mask_L0+0
	INC R0
	SJMP L__Send_Byte17
L__Send_Byte18:
	CLR C
	RRC A
L__Send_Byte17:
	DJNZ R0, L__Send_Byte18
	MOV Send_Byte_mask_L0+0, A
	INC Send_Byte_i_L0+0
	SJMP L_Send_Byte0
L_Send_Byte1:
	CLR P1_0_bit+0
	MOV R7, 96
	DJNZ R7, 
	NOP
	SETB P1_0_bit+0
	MOV R7, 137
	DJNZ R7, 
	NOP
	RET
; end of _Send_Byte

_Write_Nibbles:
	MOV A, FARG_Write_Nibbles_out_char+0
	ANL A, #240
	MOV Write_Nibbles_data2Send_L0+0, A
	SETB C
	MOV A, Write_Nibbles_data2Send_L0+0
	MOV #224, C
	MOV Write_Nibbles_data2Send_L0+0, A
	MOV FARG_Send_Byte_rs+0, FARG_Write_Nibbles_rs+0
	MOV FARG_Send_Byte_out_char+0, Write_Nibbles_data2Send_L0+0
	LCALL _Send_Byte+0
	CLR C
	MOV A, Write_Nibbles_data2Send_L0+0
	MOV #224, C
	MOV Write_Nibbles_data2Send_L0+0, A
	MOV FARG_Send_Byte_rs+0, FARG_Write_Nibbles_rs+0
	MOV FARG_Send_Byte_out_char+0, Write_Nibbles_data2Send_L0+0
	LCALL _Send_Byte+0
	MOV A, FARG_Write_Nibbles_out_char+0
	ANL A, #15
	MOV Write_Nibbles_data2Send_L0+0, A
	MOV R0, #4
	MOV A, Write_Nibbles_data2Send_L0+0
	INC R0
	SJMP L__Write_Nibbles19
L__Write_Nibbles20:
	CLR C
	RLC A
L__Write_Nibbles19:
	DJNZ R0, L__Write_Nibbles20
	MOV Write_Nibbles_data2Send_L0+0, A
	SETB C
	MOV A, Write_Nibbles_data2Send_L0+0
	MOV #224, C
	MOV Write_Nibbles_data2Send_L0+0, A
	MOV FARG_Send_Byte_rs+0, FARG_Write_Nibbles_rs+0
	MOV FARG_Send_Byte_out_char+0, Write_Nibbles_data2Send_L0+0
	LCALL _Send_Byte+0
	CLR C
	MOV A, Write_Nibbles_data2Send_L0+0
	MOV #224, C
	MOV Write_Nibbles_data2Send_L0+0, A
	MOV FARG_Send_Byte_rs+0, FARG_Write_Nibbles_rs+0
	MOV FARG_Send_Byte_out_char+0, Write_Nibbles_data2Send_L0+0
	LCALL _Send_Byte+0
	RET
; end of _Write_Nibbles

_Write_Nibble:
	MOV Write_Nibble_rs_L0+0, #0
	MOV A, FARG_Write_Nibble_out_char+0
	ANL A, #240
	MOV Write_Nibble_data2Send_L0+0, A
	SETB C
	MOV A, Write_Nibble_data2Send_L0+0
	MOV #224, C
	MOV Write_Nibble_data2Send_L0+0, A
	MOV FARG_Send_Byte_rs+0, Write_Nibble_rs_L0+0
	MOV FARG_Send_Byte_out_char+0, Write_Nibble_data2Send_L0+0
	LCALL _Send_Byte+0
	CLR C
	MOV A, Write_Nibble_data2Send_L0+0
	MOV #224, C
	MOV Write_Nibble_data2Send_L0+0, A
	MOV FARG_Send_Byte_rs+0, Write_Nibble_rs_L0+0
	MOV FARG_Send_Byte_out_char+0, Write_Nibble_data2Send_L0+0
	LCALL _Send_Byte+0
	RET
; end of _Write_Nibble

_One_Wire_LCD_Cmd:
	MOV One_Wire_LCD_Cmd_rs_L0+0, #0
	MOV FARG_Write_Nibbles_rs+0, One_Wire_LCD_Cmd_rs_L0+0
	MOV FARG_Write_Nibbles_out_char+0, FARG_One_Wire_LCD_Cmd_out_char+0
	LCALL _Write_Nibbles+0
	MOV R6, 9
	MOV R7, 246
	DJNZ R7, 
	DJNZ R6, 
	RET
; end of _One_Wire_LCD_Cmd

_One_Wire_LCD_Chr:
	MOV One_Wire_LCD_Chr_rs_L0+0, #1
	SJMP L_One_Wire_LCD_Chr5
L_One_Wire_LCD_Chr7:
	MOV A, #128
	ADD A, FARG_One_Wire_LCD_Chr_col+0
	MOV FARG_One_Wire_LCD_Cmd_out_char+0, A
	MOV R0, #1
	CLR C
	MOV A, FARG_One_Wire_LCD_Cmd_out_char+0
	SUBB A, R0
	MOV FARG_One_Wire_LCD_Cmd_out_char+0, A
	LCALL _One_Wire_LCD_Cmd+0
	SJMP L_One_Wire_LCD_Chr6
L_One_Wire_LCD_Chr8:
	MOV A, #192
	ADD A, FARG_One_Wire_LCD_Chr_col+0
	MOV FARG_One_Wire_LCD_Cmd_out_char+0, A
	MOV R0, #1
	CLR C
	MOV A, FARG_One_Wire_LCD_Cmd_out_char+0
	SUBB A, R0
	MOV FARG_One_Wire_LCD_Cmd_out_char+0, A
	LCALL _One_Wire_LCD_Cmd+0
	SJMP L_One_Wire_LCD_Chr6
L_One_Wire_LCD_Chr9:
	MOV A, #148
	ADD A, FARG_One_Wire_LCD_Chr_col+0
	MOV FARG_One_Wire_LCD_Cmd_out_char+0, A
	MOV R0, #1
	CLR C
	MOV A, FARG_One_Wire_LCD_Cmd_out_char+0
	SUBB A, R0
	MOV FARG_One_Wire_LCD_Cmd_out_char+0, A
	LCALL _One_Wire_LCD_Cmd+0
	SJMP L_One_Wire_LCD_Chr6
L_One_Wire_LCD_Chr10:
	MOV A, #212
	ADD A, FARG_One_Wire_LCD_Chr_col+0
	MOV FARG_One_Wire_LCD_Cmd_out_char+0, A
	MOV R0, #1
	CLR C
	MOV A, FARG_One_Wire_LCD_Cmd_out_char+0
	SUBB A, R0
	MOV FARG_One_Wire_LCD_Cmd_out_char+0, A
	LCALL _One_Wire_LCD_Cmd+0
	SJMP L_One_Wire_LCD_Chr6
L_One_Wire_LCD_Chr5:
	MOV A, FARG_One_Wire_LCD_Chr_row+0
	XRL A, #1
	JZ L_One_Wire_LCD_Chr7
	MOV A, FARG_One_Wire_LCD_Chr_row+0
	XRL A, #2
	JZ L_One_Wire_LCD_Chr8
	MOV A, FARG_One_Wire_LCD_Chr_row+0
	XRL A, #3
	JZ L_One_Wire_LCD_Chr9
	MOV A, FARG_One_Wire_LCD_Chr_row+0
	XRL A, #4
	JZ L_One_Wire_LCD_Chr10
L_One_Wire_LCD_Chr6:
	MOV FARG_Write_Nibbles_rs+0, One_Wire_LCD_Chr_rs_L0+0
	MOV FARG_Write_Nibbles_out_char+0, FARG_One_Wire_LCD_Chr_out_char+0
	LCALL _Write_Nibbles+0
	RET
; end of _One_Wire_LCD_Chr

_One_Wire_LCD_Chr_Cp:
	MOV One_Wire_LCD_Chr_Cp_rs_L0+0, #1
	MOV FARG_Write_Nibbles_rs+0, One_Wire_LCD_Chr_Cp_rs_L0+0
	MOV FARG_Write_Nibbles_out_char+0, FARG_One_Wire_LCD_Chr_Cp_out_char+0
	LCALL _Write_Nibbles+0
	RET
; end of _One_Wire_LCD_Chr_Cp

_One_Wire_LCD_Out:
L_One_Wire_LCD_Out11:
	MOV R0, FARG_One_Wire_LCD_Out_text+0
	MOV A, @R0
	JZ L_One_Wire_LCD_Out12
	MOV FARG_One_Wire_LCD_Chr_row+0, FARG_One_Wire_LCD_Out_row+0
	MOV FARG_One_Wire_LCD_Chr_col+0, FARG_One_Wire_LCD_Out_col+0
	MOV R0, FARG_One_Wire_LCD_Out_text+0
	MOV FARG_One_Wire_LCD_Chr_out_char+0, @R0
	LCALL _One_Wire_LCD_Chr+0
	INC FARG_One_Wire_LCD_Out_col+0
	INC FARG_One_Wire_LCD_Out_text+0
	SJMP L_One_Wire_LCD_Out11
L_One_Wire_LCD_Out12:
	RET
; end of _One_Wire_LCD_Out

_One_Wire_LCD_Out_Cp:
L_One_Wire_LCD_Out_Cp13:
	MOV R0, FARG_One_Wire_LCD_Out_Cp_text+0
	MOV A, @R0
	JZ L_One_Wire_LCD_Out_Cp14
	MOV R0, FARG_One_Wire_LCD_Out_Cp_text+0
	MOV FARG_One_Wire_LCD_Chr_Cp_out_char+0, @R0
	LCALL _One_Wire_LCD_Chr_Cp+0
	INC FARG_One_Wire_LCD_Out_Cp_text+0
	SJMP L_One_Wire_LCD_Out_Cp13
L_One_Wire_LCD_Out_Cp14:
	RET
; end of _One_Wire_LCD_Out_Cp

_One_Wire_LCD_Init:
	MOV R5, 2
	MOV R6, 13
	MOV R7, 239
	DJNZ R7, 
	DJNZ R6, 
	DJNZ R5, 
	NOP
	MOV FARG_Write_Nibble_out_char+0, #48
	LCALL _Write_Nibble+0
	MOV R6, 54
	MOV R7, 201
	DJNZ R7, 
	DJNZ R6, 
	MOV FARG_Write_Nibble_out_char+0, #48
	LCALL _Write_Nibble+0
	MOV R6, 54
	MOV R7, 201
	DJNZ R7, 
	DJNZ R6, 
	MOV FARG_Write_Nibble_out_char+0, #48
	LCALL _Write_Nibble+0
	MOV R6, 54
	MOV R7, 201
	DJNZ R7, 
	DJNZ R6, 
	MOV FARG_Write_Nibble_out_char+0, #32
	LCALL _Write_Nibble+0
	MOV R6, 36
	MOV R7, 219
	DJNZ R7, 
	DJNZ R6, 
	MOV FARG_One_Wire_LCD_Cmd_out_char+0, #40
	LCALL _One_Wire_LCD_Cmd+0
	MOV R6, 18
	MOV R7, 237
	DJNZ R7, 
	DJNZ R6, 
	MOV FARG_One_Wire_LCD_Cmd_out_char+0, #6
	LCALL _One_Wire_LCD_Cmd+0
	MOV R6, 18
	MOV R7, 237
	DJNZ R7, 
	DJNZ R6, 
	RET
; end of _One_Wire_LCD_Init

_main:
	MOV SP+0, #128
	MOV P1+0, #0
	SETB P1_0_bit+0
	LCALL _One_Wire_LCD_Init+0
	MOV FARG_One_Wire_LCD_Cmd_out_char+0, #1
	LCALL _One_Wire_LCD_Cmd+0
	MOV FARG_One_Wire_LCD_Cmd_out_char+0, #12
	LCALL _One_Wire_LCD_Cmd+0
	MOV FARG_One_Wire_LCD_Out_row+0, #1
	MOV FARG_One_Wire_LCD_Out_col+0, #1
	MOV 130, #?ICS?lstr1_One_45Wire_32LCD+0
	MOV 131, hi(#?ICS?lstr1_One_45Wire_32LCD+0)
	MOV R0, #?lstr1_One_45Wire_32LCD+0
	MOV R1, #9
	LCALL ___CC2D+0
	MOV FARG_One_Wire_LCD_Out_text+0, #?lstr1_One_45Wire_32LCD+0
	LCALL _One_Wire_LCD_Out+0
	MOV FARG_One_Wire_LCD_Out_row+0, #2
	MOV FARG_One_Wire_LCD_Out_col+0, #1
	MOV 130, #?ICS?lstr2_One_45Wire_32LCD+0
	MOV 131, hi(#?ICS?lstr2_One_45Wire_32LCD+0)
	MOV R0, #?lstr2_One_45Wire_32LCD+0
	MOV R1, #11
	LCALL ___CC2D+0
	MOV FARG_One_Wire_LCD_Out_text+0, #?lstr2_One_45Wire_32LCD+0
	LCALL _One_Wire_LCD_Out+0
	MOV FARG_One_Wire_LCD_Out_row+0, #3
	MOV FARG_One_Wire_LCD_Out_col+0, #1
	MOV ?lstr3_One_45Wire_32LCD+0, #50
	MOV ?lstr3_One_45Wire_32LCD+1, #48
	MOV ?lstr3_One_45Wire_32LCD+2, #120
	MOV ?lstr3_One_45Wire_32LCD+3, #52
	MOV ?lstr3_One_45Wire_32LCD+4, #0
	MOV FARG_One_Wire_LCD_Out_text+0, #?lstr3_One_45Wire_32LCD+0
	LCALL _One_Wire_LCD_Out+0
	MOV FARG_One_Wire_LCD_Out_row+0, #4
	MOV FARG_One_Wire_LCD_Out_col+0, #1
	MOV 130, #?ICS?lstr4_One_45Wire_32LCD+0
	MOV 131, hi(#?ICS?lstr4_One_45Wire_32LCD+0)
	MOV R0, #?lstr4_One_45Wire_32LCD+0
	MOV R1, #14
	LCALL ___CC2D+0
	MOV FARG_One_Wire_LCD_Out_text+0, #?lstr4_One_45Wire_32LCD+0
	LCALL _One_Wire_LCD_Out+0
L_main15:
	SJMP L_main15
	SJMP #254
; end of _main
