#line 1 "C:/Users/System Administrator/Desktop/mikroC PRO for PIC/Working/Clock/Libstock/One-Wire 16x2, 20x2, 20x4 LCD 8051/One-Wire LCD.c"
#line 18 "C:/Users/System Administrator/Desktop/mikroC PRO for PIC/Working/Clock/Libstock/One-Wire 16x2, 20x2, 20x4 LCD 8051/One-Wire LCD.c"
sbit One_Wire at P1_0_bit;

char msg1[] = "One-Wire LCD";
char msg2[] = "4 bit";
char msg3[] = "20x4";
char msg4[] = "HD44780";

void Delay_6ms() {
 Delay_ms(6);
}

void Delay_15us() {
 Delay_us(10);
}

void Send_Byte(char rs, char out_char) {
 char i = 0, mask = 0x80;

 out_char.F1 = rs;

 for(i = 0; i < 7; i++) {
 if(out_char & mask) {
 One_Wire = 0;
 One_Wire = 1;
 Delay_15us();
 }
 else {
 One_Wire = 0;
 Delay_15us();
 One_Wire = 1;
 Delay_15us();
 Delay_15us();
 }

 mask >>= 1;
 }





 One_Wire = 0;

 Delay_us(210);
 One_Wire = 1;

 Delay_us(300);
}

void Write_Nibbles(char rs, char out_char) {
 char data2Send;

 data2Send = out_char & 0xF0;

 data2Send.F3 = 1;
 Send_Byte(rs,data2Send);
 data2Send.F3 = 0;
 Send_Byte(rs,data2Send);

 data2Send = out_char & 0x0F;
 data2Send <<= 4;
 data2Send.F3 = 1;
 Send_Byte(rs,data2Send);
 data2Send.F3 = 0;
 Send_Byte(rs,data2Send);
}

void Write_Nibble(char out_char) {
 char data2Send, rs = 0;

 data2Send = out_char & 0xF0;

 data2Send.F3 = 1;
 Send_Byte(rs,data2Send);
 data2Send.F3 = 0;
 Send_Byte(rs,data2Send);
}

void One_Wire_LCD_Cmd(char out_char) {
 char rs = 0;

 Write_Nibbles(rs,out_char);
 Delay_ms(5);
}

void One_Wire_LCD_Chr(char row, char col, char out_char) {
 char rs = 1;

 switch(row){
 case 1:
 One_Wire_LCD_Cmd(0x80 + col-1);
 break;
 case 2:
 One_Wire_LCD_Cmd(0xC0 + col-1);
 break;
 case 3:
 One_Wire_LCD_Cmd(0x94 + col-1);
 break;
 case 4:
 One_Wire_LCD_Cmd(0xD4 + col-1);
 break;
 }

 Write_Nibbles(rs,out_char);
}

void One_Wire_LCD_Chr_Cp(char out_char) {
 char rs = 1;

 Write_Nibbles(rs,out_char);
}

void One_Wire_LCD_Out(char row, char col, char *text) {
 while(*text)
 One_Wire_LCD_Chr(row,col++,*text++);
}

void One_Wire_LCD_Out_Cp(char *text) {
 while(*text)
 One_Wire_LCD_Chr_Cp(*text++);
}

void One_Wire_LCD_Init() {
 Delay_ms(150);
 Write_Nibble(0x30);
 Delay_ms(30);
 Write_Nibble(0x30);
 Delay_ms(30);
 Write_Nibble(0x30);
 Delay_ms(30);
 Write_Nibble(0x20);
 Delay_ms(20);
 One_Wire_LCD_Cmd(0x28);
 Delay_ms(10);
 One_Wire_LCD_Cmd(0x06);
 Delay_ms(10);
}

void main() {

 P1 = 0x00;

 One_Wire = 1;

 One_Wire_LCD_Init();
 One_Wire_LCD_Cmd( 0x01 );
 One_Wire_LCD_Cmd( 0x0C );

 One_Wire_LCD_Out(1,1,"One-Wire");
 One_Wire_LCD_Out(2,1,"Serial LCD");
 One_Wire_LCD_Out(3,1,"20x4");
 One_Wire_LCD_Out(4,1,"Using 74HC595");

 while(1){

 }
}
